# Interface SessionTracker.SessionExpirer

All Known Implementing Classes:
  `FollowerZooKeeperServer, LeaderZooKeeperServer, LearnerZooKeeperServer, ObserverZooKeeperServer, QuorumZooKeeperServer, ReadOnlyZooKeeperServer, ZooKeeperServer`

Enclosing interface:
  `SessionTracker`

public static interface SessionTracker.SessionExpirer

## Method Summary

Modifier and Type
Method
Description
`void`
`expire(SessionTracker.Session session)`
`long`
`getServerId()`

## Method Details

### expire

void expire(SessionTracker.Session session)

### getServerId

long getServerId()